#include <iostream>
#include<stdio.h>
using namespace std;

int main()
{
    long int n,k,i,s=0,x;
    cin>>n>>k;
    long int y[2*n];
     for(i=0;i<2*n;i++)
            y[i]=0;
    for(i=0;i<n;i++)
        {
            scanf("%ld", &x);
            y[x+n]+=1;
        }
    for(i=0;i<2*n;i++)
        if(y[i]>=k)
            s+=1;
    cout<<s<<endl;
    for(i=0;i<2*n;i++)
        if(y[i]>=k)
        {
            s=i-n;
            printf("%ld ", s);
        }
    return 0;
}